nnormalsurface.h File Reference

Deals with an individual normal surface in a 3-manifold triangulation. More...

`#include "regina-config.h"`
`#include <utility>`
`#include "regina-core.h"`
`#include "shareableobject.h"`
`#include "maths/nperm4.h"`
`#include "maths/nray.h"`
`#include "surfaces/ndisctype.h"`
`#include "surfaces/normalcoords.h"`
`#include "utilities/nbooleans.h"`
`#include "utilities/nproperty.h"`

## Classes

struct | regina::NormalInfo< coordType >
| A template that stores information about a particular normal coordinate system. More...
class | regina::NNormalSurfaceVector
| Stores the vector of a single normal surface in a 3-manifold. More...
class | regina::NNormalSurface
| Represents a single normal surface in a 3-manifold. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Macros

#define | REGINA_NORMAL_SURFACE_FLAVOUR(class_, id)
| Defines various constants, types and virtual functions for a subclass of NNormalSurfaceVector. More...

## Variables

REGINA_API const int | regina::vertexSplit [4][4]
| Lists which vertex splits separate which pairs of vertices. More...
REGINA_API const int | regina::vertexSplitMeeting [4][4][2]
| Lists which vertex splits meet which edges. More...
REGINA_API const int | regina::vertexSplitDefn [3][4]
| Lists the vertices which each vertex split splits. More...
REGINA_API const int | regina::vertexSplitPartner [3][4]
| Lists the second vertex with which each vertex is paired under each vertex split. More...
REGINA_API const char | regina::vertexSplitString [3][6]
| Contains strings describing which vertices each vertex split splits. More...
REGINA_API const NPerm4 | regina::triDiscArcs [4][3]
| Lists in consecutive order the directed normal arcs that form the boundary of each type of triangular normal disc. More...
REGINA_API const NPerm4 | regina::quadDiscArcs [3][4]
| Lists in consecutive order the directed normal arcs that form the boundary of each type of quadrilateral normal disc. More...
REGINA_API const NPerm4 | regina::octDiscArcs [3][8]
| Lists in consecutive order the directed normal arcs that form the boundary of each type of octagonal normal disc. More...

## Detailed Description

Deals with an individual normal surface in a 3-manifold triangulation.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).